Name:          libjpeg-turbo
Version:       3.1.0
Release:       1mamba
Summary:       A MMX/SSE2 accelerated library for manipulating JPEG image files
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://libjpeg-turbo.org/
Source:        https://github.com/libjpeg-turbo/libjpeg-turbo.git/%{version}/libjpeg-turbo-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: nasm
Provides:      libjpeg
Obsoletes:     libjpeg < 2.1.0

%description
libjpeg-turbo is a version of libjpeg which uses MMX, SSE, and SSE2 SIMD instructions to accelerate baseline JPEG compression/decompression by about 2-4x on x86 and x86-64 platforms. It is based on libjpeg/SIMD but has numerous enhancements.

%package -n libjpeg-devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libjpeg-devel = 8c
Provides:      libjpeg-turbo-devel
Obsoletes:     libjpeg-turbo-devel < 2.1.0
Provides:      libjpeg6b-devel
Obsoletes:     libjpeg6b-devel < 2.1.0
Provides:      libjpeg6b-turbo-devel
Obsoletes:     libjpeg6b-turbo-devel < 2.1.0
Provides:      libjpeg7-devel
Obsoletes:     libjpeg7-devel < 2.1.0
Provides:      libjpeg7-turbo-devel
Obsoletes:     libjpeg7-turbo-devel < 2.1.0
Provides:      libjpeg-turbo-static
Obsoletes:     libjpeg-turbo-static < 2.1.0
Provides:      libjpeg6b-static
Obsoletes:     libjpeg6b-static < 2.1.0
Provides:      libjpeg7-static
Obsoletes:     libjpeg7-static < 2.1.0
Provides:      libjpeg-static
Obsoletes:     libjpeg-static < 3.0.2-2mamba

%description -n libjpeg-devel
A MMX/SSE2 accelerated library for manipulating JPEG image files.
This package contains libraries and header files needed for development.

%package utils
Group:         Development/Libraries
Summary:       Utilities for manipulating JPEG images
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libjpeg6b-turbo-utils
Obsoletes:     libjpeg6b-turbo-utils < 2.1.0
Provides:      libjpeg7-turbo-utils
Obsoletes:     libjpeg7-turbo-utils < 2.1.0

%description utils
A MMX/SSE2 accelerated library for manipulating JPEG image files.
The %{name}-utils package contains simple client programs for accessing the libjpeg functions. It contains cjpeg, djpeg, jpegtran, rdjpgcom and wrjpgcom. Cjpeg compresses an image file into JPEG format. Djpeg decompresses a JPEG file into a regular image file. Jpegtran can perform various useful transformations on JPEG files. Rdjpgcom displays any text comments included in a JPEG file. Wrjpgcom inserts text comments into a JPEG file.

%package -n libjpeg6b-turbo
Group:         System/Libraries
Summary:       A MMX/SSE2 accelerated library for manipulating JPEG image files
Provides:      libjpeg6b
Obsoletes:     libjpeg6b < 2.1.0

%description -n libjpeg6b-turbo
libjpeg-turbo is a version of libjpeg which uses MMX, SSE, and SSE2 SIMD instructions to accelerate baseline JPEG compression/decompression by about 2-4x on x86 and x86-64 platforms. It is based on libjpeg/SIMD but has numerous enhancements.

%package -n libjpeg7-turbo
Group:         System/Libraries
Summary:       A MMX/SSE2 accelerated library for manipulating JPEG image files
Provides:      libjpeg7
Obsoletes:     libjpeg7 < 2.1.0

%description -n libjpeg7-turbo
libjpeg-turbo is a version of libjpeg which uses MMX, SSE, and SSE2 SIMD instructions to accelerate baseline JPEG compression/decompression by about 2-4x on x86 and x86-64 platforms. It is based on libjpeg/SIMD but has numerous enhancements.

%debug_package

%prep
%setup -q

tar xf %{SOURCE0}
mv %{name}-%{version} %{name}-6b

tar xf %{SOURCE0}
mv %{name}-%{version} %{name}-7

%build
cd %{name}-6b
%cmake -d build \
\
%ifarch arm
   -DWITH_SIMD=0
%endif

%make
cd ../..

cd %{name}-7
%cmake -d build \
   -DWITH_JPEG7=TRUE \
%ifarch arm
   -DWITH_SIMD=0
%endif
   
%make
cd ../..

%cmake -d build \
   -DWITH_JPEG8=TRUE \
%ifarch arm
   -DWITH_SIMD=0
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd %{name}-6b
%makeinstall -C build \
   docdir=%{_docdir}/libjpeg-devel-%{version} \
   exampledir=%{_docdir}/libjpeg-devel-%{version}
cd ..

cd %{name}-7
%makeinstall -C build \
   docdir=%{_docdir}/libjpeg-devel-%{version} \
   exampledir=%{_docdir}/libjpeg-devel-%{version}
cd ..

# install last for devel and utils to depend on latest library
%makeinstall -C build \
   docdir=%{_docdir}/libjpeg-devel-%{version} \
   exampledir=%{_docdir}/libjpeg-devel-%{version}

%ifarch x86_64_disabled
# x86_64 lib64 support
cd build
make clean
CC=%{_target_platform}-gcc \
CFLAGS="%{optflags} -m32" \
CXXLAGS="%{optflags} -m32" \
./configure --prefix=%{_prefix} --libdir=%{_prefix}/lib --with-jpeg8 --without-simd
make
make install DESTDIR=`pwd`/lib32
cp -a lib32/%{_prefix}/lib %{buildroot}%{_prefix}/
%endif

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libjpeg.so.8
%{_libdir}/libjpeg.so.8.*
%{_libdir}/libturbojpeg.so.*
%doc LICENSE.md

%files -n libjpeg-devel
%defattr(-,root,root)
%{_includedir}/jconfig.h
%{_includedir}/jerror.h
%{_includedir}/jmorecfg.h
%{_includedir}/jpeglib.h
%{_includedir}/turbojpeg.h
%{_libdir}/libjpeg.a
%{_libdir}/libjpeg.so
%{_libdir}/libturbojpeg.a
%{_libdir}/libturbojpeg.so
%{_libdir}/pkgconfig/libjpeg.pc
%{_libdir}/pkgconfig/libturbojpeg.pc
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*
%dir %{_libdir}/cmake/libjpeg-turbo
%{_libdir}/cmake/libjpeg-turbo/libjpeg-turbo*.cmake

%files utils
%defattr(-,root,root)
%{_bindir}/cjpeg
%{_bindir}/djpeg
%{_bindir}/jpegtran
%{_bindir}/rdjpgcom
%{_bindir}/tjbench
%{_bindir}/wrjpgcom
%{_mandir}/man1/cjpeg.1*
%{_mandir}/man1/djpeg.1*
%{_mandir}/man1/jpegtran.1*
%{_mandir}/man1/rdjpgcom.1*
%{_mandir}/man1/wrjpgcom.1*

%files -n libjpeg6b-turbo
%defattr(-,root,root)
%{_libdir}/libjpeg.so.62
%{_libdir}/libjpeg.so.62.*
%doc LICENSE.md

%files -n libjpeg7-turbo
%defattr(-,root,root)
%{_libdir}/libjpeg.so.7
%{_libdir}/libjpeg.so.7.*
%doc LICENSE.md

%changelog
* Thu Dec 19 2024 Automatic Build System <autodist@openmamba.org> 3.1.0-1mamba
- automatic version update by autodist

* Sun Sep 15 2024 Automatic Build System <autodist@openmamba.org> 3.0.4-1mamba
- automatic version update by autodist

* Thu May 09 2024 Automatic Build System <autodist@openmamba.org> 3.0.3-1mamba
- automatic version update by autodist

* Tue Apr 23 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2-2mamba
- libjpeg-devel: integrate libjpeg-static

* Mon Feb 05 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2-1mamba
- update to 3.0.2

* Tue Oct 17 2023 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic version update by autodist

* Tue Jul 04 2023 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Thu Feb 09 2023 Automatic Build System <autodist@mambasoft.it> 2.1.5.1-1mamba
- automatic version update by autodist

* Wed Feb 01 2023 Automatic Build System <autodist@mambasoft.it> 2.1.5-1mamba
- automatic version update by autodist

* Sat Aug 13 2022 Automatic Build System <autodist@mambasoft.it> 2.1.4-1mamba
- automatic version update by autodist

* Sat Feb 26 2022 Automatic Build System <autodist@mambasoft.it> 2.1.3-1mamba
- automatic version update by autodist

* Fri Nov 19 2021 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic version update by autodist

* Tue Aug 10 2021 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Sat Apr 24 2021 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Sun Nov 22 2020 Automatic Build System <autodist@mambasoft.it> 2.0.6-1mamba
- automatic version update by autodist

* Thu Jun 25 2020 Automatic Build System <autodist@mambasoft.it> 2.0.5-1mamba
- automatic version update by autodist

* Thu Jan 02 2020 Automatic Build System <autodist@mambasoft.it> 2.0.4-1mamba
- automatic version update by autodist

* Tue Sep 10 2019 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic version update by autodist

* Sat Feb 16 2019 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic version update by autodist

* Tue Nov 20 2018 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Wed Sep 12 2018 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Thu Dec 21 2017 Automatic Build System <autodist@mambasoft.it> 1.5.3-1mamba
- automatic version update by autodist

* Sun Aug 06 2017 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic version update by autodist

* Thu Sep 22 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.1-2mamba
- x86_64: disable the creation of lib32-libjpegturbo packages

* Thu Sep 22 2016 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Mon Jun 27 2016 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic version update by autodist

* Thu Oct 08 2015 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Thu Jun 11 2015 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Sat Jan 10 2015 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Mon Mar 24 2014 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic update by autodist

* Mon May 27 2013 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Tue May 07 2013 Automatic Build System <autodist@mambasoft.it> 1.2.90-1mamba
- automatic version update by autodist

* Fri Jul 27 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-1mamba
- update to 1.2.1

* Mon Jun 18 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-2mamba
- fix legacy package names (libjpegx-turbo, not libjpeg-turbox)

* Sun Jun 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-1mamba
- update to 1.2.0
- unify source package for producing libjpeg-turbo*, libjpeg6b-turbo* and libjpeg7-turbo*
- add debug package

* Sun Jun 19 2011 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic update by autodist

* Sat Mar 26 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-2mamba
- rebuilt with 8b compatibility

* Thu Mar 10 2011 gil <puntogil@libero.it> 1.1.0-1mamba
- update to 1.1.0

* Thu Jan 20 2011 gil <puntogil@libero.it> 1.0.90-1mamba
- update to 1.0.90

* Tue Jan 04 2011 gil <puntogil@libero.it> 1.0.1-1mamba
- update to 1.0.1

* Sun Jul 25 2010 gil <puntogil@libero.it> 1.0.0-1mamba
- package created by autospec
